import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getListV2(params) {
  return request({
    url: `/supplier/listV2?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}
export function exportListV2(data, name) {
  return postBlob({
    url: '/supplier/listV2/export',
    data,
    name
  })
}


export function getList(params) {
  return request({
    url: '/supplier/list',
    method: 'get',
    params
  })
}

//供应商详情
export function getInfoApi(params) {
  return request({
    url: '/supplier/detail',
    method: 'get',
    params
  })
}

export function getSupplierList(params) {
  return request({
    url: '/supplier/list',
    method: 'get',
    params
  })
}
